Download it now!
Bug 88069 - Untranslatable string "Fax" in File - Wizards - Fax dialog
Summary: Untranslatable string "Fax" in File - Wizards - Fax dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-05 20:28 UTC by Serg Bormant
Modified: 2015-10-25 15:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File - Wizard - Fax dialog (26.21 KB, image/png)
2015-01-05 20:28 UTC, Serg Bormant
Details
fdo#88069 make the string 'Fax' localizable in Fax Wizard for 4.4 (1.26 KB, patch)
2015-01-06 20:01 UTC, Serg Bormant
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serg Bormant 2015-01-05 20:28:10 UTC
Created attachment 111785 [details]
File - Wizard - Fax dialog

1. Start LibreOffice

2. Select File - Wizards - Fax

3. In right part of Fax Wizard dialog select Personal Fax radio button

4. In Page design dropdown list see at "Fax" item.

In 4.4.0.0.beta2 it has no id (5 symbols hash), see attached screenshot, please.
Comment 1 Commit Notification 2015-01-05 21:16:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bf129b621fd368df71f3861a98b9a4f33de816a

fdo#88069 make the string 'Fax' localizable in Fax Wizard

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Serg Bormant 2015-01-06 20:01:14 UTC
Created attachment 111869 [details]
fdo#88069 make the string 'Fax' localizable in Fax Wizard for 4.4
Comment 3 Serg Bormant 2015-01-06 20:02:19 UTC
Please add attached patch

fdo#88069 make the string 'Fax' localizable in Fax Wizard for 4.4 

to 4.4 branch.
Comment 4 Andras Timar 2015-01-07 09:26:05 UTC
The patch adds a new string and strings are frozen in 4.4. I don't think that the issue is big enough to trigger a Pootle update.
Comment 5 Serg Bormant 2015-01-09 14:00:40 UTC
Frozen strings means no ADDITIONAL source language strings, so all existing strings can be translated.

Adding missing translation for existing string doesn't break that rule: UI still has no new untranslated strings but can get some fixes of untranslatable strings.

Please consider other "untranslated string" bugs:
https://bugs.freedesktop.org/show_bug.cgi?id=88235
https://bugs.freedesktop.org/show_bug.cgi?id=88236
...
Comment 6 Serg Bormant 2015-03-13 12:14:57 UTC
Still here.
Version:  4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Comment 7 Julien Nabet 2015-10-25 15:05:36 UTC
On pc Debian x86-64 with LO Debian package 5.0.2, I don't reproduce this.
I don't know about last version of 4.4 branch but anyway, this branch is soon EOL so let's put this one to FIXED.